classification
Title: Incorrect documentation for "u" PyArg_Parse format unit
Type: behavior Stage: resolved
Components: Documentation, Unicode Versions: Python 2.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Ilya.Novoselov, docs@python, ezio.melotti, loewis, martin.panter, nanjekyejoannah, vstinner
Priority: normal Keywords:

Created on 2011-11-04 13:20 by Ilya.Novoselov, last changed 2020-11-30 10:25 by iritkatriel. This issue is now closed.

Messages (6)
msg147002 - (view) Author: Ilya Novoselov (Ilya.Novoselov) Date: 2011-11-04 13:20
Documentation states that u format unit returns "buffer of 16-bit Unicode (UTF-16) data" while it returns pointer to internal buffer of unicode data, which is either UCS-16 or UCS-32

http://docs.python.org/c-api/arg.html
msg147024 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2011-11-04 19:11
Can you write a patch?
msg147055 - (view) Author: Ilya Novoselov (Ilya.Novoselov) Date: 2011-11-04 22:40
No, I don't feel like I'm up to standard yet.
msg244082 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-05-26 05:22
The Python 3 documentation was updated in Issue 8593 (revision 5d4a5655575f). Perhaps some of the wording also applies to Python 2 and you can just copy it.
msg350417 - (view) Author: Joannah Nanjekye (nanjekyejoannah) * (Python committer) Date: 2019-08-25 01:00
This is has taken years but am curious, are we allowed to patch Python 2 given its EOL is almost due.
msg350577 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2019-08-26 22:05
I don't think that it's still worth it to update Python 2 documentation at this point. I suggest to focus on enhancement of the Python 3 documentation instead.
History
Date User Action Args
2020-11-30 10:25:48iritkatrielsetstatus: open -> closed
resolution: out of date
stage: resolved
2019-08-26 22:05:01vstinnersetmessages: + msg350577
2019-08-25 01:00:21nanjekyejoannahsetnosy: + nanjekyejoannah
messages: + msg350417
2015-05-26 05:22:24martin.pantersetnosy: + martin.panter
messages: + msg244082
2012-08-19 07:26:12mikehoysetnosy: - mikehoy
2011-11-07 16:33:59eric.araujosetnosy: + loewis
2011-11-05 04:11:59mikehoysetnosy: + mikehoy
2011-11-04 22:40:53Ilya.Novoselovsetmessages: + msg147055
2011-11-04 19:11:09vstinnersetnosy: + vstinner
messages: + msg147024
2011-11-04 13:20:13Ilya.Novoselovcreate